be.ehealth.businessconnector.mycarenet.agreement.exception

## Enum AgreementBusinessConnectorExceptionValues

- java.lang.Object
- - java.lang.Enum<AgreementBusinessConnectorExceptionValues>
  - - be.ehealth.businessconnector.mycarenet.agreement.exception.AgreementBusinessConnectorExceptionValues

- All Implemented Interfaces:
    Serializable, Comparable<AgreementBusinessConnectorExceptionValues>

      public enum AgreementBusinessConnectorExceptionValues
      extends Enum<AgreementBusinessConnectorExceptionValues>

  Enumeration for possible Agreement business exceptions

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PARAMETER_NULL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErrorCode()`
    `String` | `getMessage()`
    `static AgreementBusinessConnectorExceptionValues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AgreementBusinessConnectorExceptionValues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PARAMETER_NULL

          public static final AgreementBusinessConnectorExceptionValues PARAMETER_NULL

  - ### Method Detail

    - #### values

          public static AgreementBusinessConnectorExceptionValues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AgreementBusinessConnectorExceptionValues c : AgreementBusinessConnectorExceptionValues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AgreementBusinessConnectorExceptionValues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getErrorCode

          public String getErrorCode()

      Returns:
        the errorCode

    - #### getMessage

          public String getMessage()

      Returns:
        the message

Connector Packaging PHYSIOTHERAPIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.